# Author:: Nathan Milford (<nathan@milford.io>)
# Copyright:: Copyright (c) 2013 Nathan Milford
# License:: Apache License, Version 2.0
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

module Ronin
  module Util

    def find_cmd(cmd)
      ENV['PATH'].split(File::PATH_SEPARATOR).each do |path|
        cmd_path = File.join(path, cmd)
        return cmd_path if File.executable? cmd_path
      end
      return nil
    end
    module_function :find_cmd

    def num_cores
      `cat /proc/cpuinfo | grep processor | wc -l`.to_i
    end
    module_function :num_cores

  end
end
